// 将图片放入分包中，最后使用图片时 /分包名称/.../*/图片名称

const path = require('path')
const CopyWebpackPlugin = require('copy-webpack-plugin')

module.exports = {
	devServer: {
		proxy: {
			'/api': {
				target: 'https://tapi.cashier.sxczgkj.cn/api', // 目标服务器地址
				changeOrigin: true,                   // 是否更改请求源
				rewrite: path => path.replace(/^\/api/, '')
			}
		}
	},
	configureWebpack: {
		plugins: [
			new CopyWebpackPlugin([{
				from: path.join(__dirname, '/static'),
				to: path.join(__dirname + '/unpackage/', 'dist', process.env.NODE_ENV === 'production' ?
					'build' : 'dev', process.env.UNI_PLATFORM, '/')
			}])
		]
	}
}